Retrieve a Setup Intent

​

Retrieves an existing Setup Intent by ID.

Related guide: Payment Methods and tokenization

Path Parameters

Query Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/setup_intents/{id}
curl 'https://api.paypercut.io/v1/setup_intents/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "currency": "EUR",
  "usage": "string",
  "payment_method": "01K688H80Z3199KETHDJ4ZAFPS",
  "x-expansionResources": "01K688H80Z3199KETHDJ4ZAFPS",
  "id": "21210021c2855007efa2d657018",
  "status": "canceled",
  "livemode": true,
  "created": "2026-11-05T09:18:51.001Z"
}